hwy::HWY_NAMESPACE::impl Namespace Reference

## Classes

struct | AsinImpl
struct | AsinImpl< float >
struct | AtanImpl
struct | AtanImpl< float >
struct | CosSinImpl
struct | CosSinImpl< float >
struct | ExpImpl
struct | ExpImpl< float >
struct | LogImpl
struct | LogImpl< float >

## Functions

template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13, T c14)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13, T c14, T c15)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13, T c14, T c15, T c16)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13, T c14, T c15, T c16, T c17)
template<class T >
HWY_INLINE HWY_MAYBE_UNUSED T | Estrin (T x, T c0, T c1, T c2, T c3, T c4, T c5, T c6, T c7, T c8, T c9, T c10, T c11, T c12, T c13, T c14, T c15, T c16, T c17, T c18)
template<class D , class V , bool kAllowSubnormals = true>
HWY_INLINE V | Log (const D d, V x)

## Function Documentation

## Estrin() [1/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

Referenced by hwy::HWY_NAMESPACE::impl::AsinImpl< float >::AsinPoly(), hwy::HWY_NAMESPACE::impl::AtanImpl< float >::AtanPoly(), hwy::HWY_NAMESPACE::impl::ExpImpl< float >::ExpPoly(), and hwy::HWY_NAMESPACE::impl::CosSinImpl< float >::Poly().

## Estrin() [2/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [3/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [4/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [5/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [6/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [7/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [8/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [9/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8,
|  | T | c9
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [10/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8,
|  | T | c9,
|  | T | c10
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [11/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8,
|  | T | c9,
|  | T | c10,
|  | T | c11
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [12/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8,
|  | T | c9,
|  | T | c10,
|  | T | c11,
|  | T | c12
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [13/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8,
|  | T | c9,
|  | T | c10,
|  | T | c11,
|  | T | c12,
|  | T | c13
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [14/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8,
|  | T | c9,
|  | T | c10,
|  | T | c11,
|  | T | c12,
|  | T | c13,
|  | T | c14
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [15/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8,
|  | T | c9,
|  | T | c10,
|  | T | c11,
|  | T | c12,
|  | T | c13,
|  | T | c14,
|  | T | c15
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [16/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8,
|  | T | c9,
|  | T | c10,
|  | T | c11,
|  | T | c12,
|  | T | c13,
|  | T | c14,
|  | T | c15,
|  | T | c16
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [17/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8,
|  | T | c9,
|  | T | c10,
|  | T | c11,
|  | T | c12,
|  | T | c13,
|  | T | c14,
|  | T | c15,
|  | T | c16,
|  | T | c17
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Estrin() [18/18]

template<class T >

HWY_INLINE HWY_MAYBE_UNUSED T hwy::HWY_NAMESPACE::impl::Estrin | ( | T | x,
|  | T | c0,
|  | T | c1,
|  | T | c2,
|  | T | c3,
|  | T | c4,
|  | T | c5,
|  | T | c6,
|  | T | c7,
|  | T | c8,
|  | T | c9,
|  | T | c10,
|  | T | c11,
|  | T | c12,
|  | T | c13,
|  | T | c14,
|  | T | c15,
|  | T | c16,
|  | T | c17,
|  | T | c18
| ) |  |

References hwy::HWY_NAMESPACE::MulAdd().

## Log()

template<class D , class V , bool kAllowSubnormals = true>

HWY_INLINE V hwy::HWY_NAMESPACE::impl::Log | ( | const D | d,
|  | V | x
| ) |  |

References hwy::HWY_NAMESPACE::And(), hwy::HWY_NAMESPACE::BitCast(), hwy::HWY_NAMESPACE::ConvertTo(), hwy::HWY_NAMESPACE::d, hwy::HWY_NAMESPACE::IfThenElse(), hwy::HWY_NAMESPACE::IfThenElseZero(), hwy::HWY_NAMESPACE::MulSub(), hwy::HWY_NAMESPACE::Or(), hwy::HWY_NAMESPACE::Set(), and hwy::HWY_NAMESPACE::Zero().

Referenced by hwy::HWY_NAMESPACE::Acosh(), hwy::HWY_NAMESPACE::Asinh(), and hwy::HWY_NAMESPACE::Log().